[Python-modules-commits] r23836 - in packages/python-crypto/trunk/debian/tests (3 files)

sramacher at users.alioth.debian.org sramacher at users.alioth.debian.org
Thu Apr 4 13:10:36 UTC 2013


    Date: Thursday, April 4, 2013 @ 13:10:34
  Author: sramacher
Revision: 23836

Add tests that only run the test suite with the default Python 2/3 version

Added:
  packages/python-crypto/trunk/debian/tests/python2
  packages/python-crypto/trunk/debian/tests/python3
Modified:
  packages/python-crypto/trunk/debian/tests/control

Modified: packages/python-crypto/trunk/debian/tests/control
===================================================================
--- packages/python-crypto/trunk/debian/tests/control	2013-04-04 11:55:48 UTC (rev 23835)
+++ packages/python-crypto/trunk/debian/tests/control	2013-04-04 13:10:34 UTC (rev 23836)
@@ -1,3 +1,6 @@
+Tests: python2
+Depends: python-crypto
+
 Tests: python2-all
 Depends: python-all python-crypto
 
@@ -4,6 +7,9 @@
 Tests: python2-all-dbg
 Depends: python-all-dbg python-crypto-dbg
 
+Tests: python3
+Depends: python3-crypto
+
 Tests: python3-all
 Depends: python3-all python3-crypto
 

Added: packages/python-crypto/trunk/debian/tests/python2
===================================================================
--- packages/python-crypto/trunk/debian/tests/python2	                        (rev 0)
+++ packages/python-crypto/trunk/debian/tests/python2	2013-04-04 13:10:34 UTC (rev 23836)
@@ -0,0 +1,4 @@
+#!/bin/sh
+set -ex
+
+python -c "import Crypto.SelfTest; import sys; Crypto.SelfTest.run(stream=sys.stdout)"

Added: packages/python-crypto/trunk/debian/tests/python3
===================================================================
--- packages/python-crypto/trunk/debian/tests/python3	                        (rev 0)
+++ packages/python-crypto/trunk/debian/tests/python3	2013-04-04 13:10:34 UTC (rev 23836)
@@ -0,0 +1,4 @@
+#!/bin/sh
+set -ex
+
+python3 -c "import Crypto.SelfTest; import sys; Crypto.SelfTest.run(stream=sys.stdout)"




More information about the Python-modules-commits mailing list